#ifndef WINEXCEPT_H
#define WINEXCEPT_H

#include <windows.h>
#include <string>
#include <stdexcept>

class CWinException : public std::runtime_error
{
public:
	CWinException( DWORD code = GetLastError() );

private:
	std::string Format( DWORD code );
};

#endif
